# For a payment provider's relay > tidekeeper's API reference: https://tidekeeper.eu/docs/api/post-billing-provider `POST /api/v1/billing/provider` For a payment provider's relay: an account's plan as it now is, signed. `x-tidekeeper-signature` is the HMAC-SHA256 of the body in hex. ## What to send `PlanEvent`: What a payment provider's relay tells tidekeeper: an account's plan as it now is. Signed with the deployment's secret. - `account` (string, needed) - `cancelled` (integer or null) - `plan` (string, needed) - `renews` (integer or null) ## The answer 204 ## Asking ```sh curl -X POST https://tidekeeper.eu/api/v1/billing/provider \ -H "Authorization: Bearer $TIDEKEEPER_TOKEN" \ -H "Content-Type: application/json" \ -d '{"account": "…", "plan": "…"}' ```